### Class

# Dex Channel

unstable since: 1

#### Description

    final class Dex.Channel : GObject.TypeInstance
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Hierarchy

#### Ancestors

- DexObject

#### Constructors

###### dex_channel_new

Creates a new `DexChannel`.

unstable since: 1

#### Instance methods

###### dex_channel_can_receive

No description available.

unstable since: 1

###### dex_channel_can_send

No description available.

unstable since: 1

###### dex_channel_close_receive

No description available.

unstable since: 1

###### dex_channel_close_send

No description available.

unstable since: 1

###### dex_channel_receive

Receives the next item from the channel.

unstable since: 1

###### dex_channel_receive_all

Will attempt to receive all items in the channel as a `DexResultSet`.

unstable since: 1

###### dex_channel_send

Queues `future` into the channel.

unstable since: 1

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

unstable since: 1

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.

unstable since: 1